# ldt-identity-client-staging
Manage your Live Data organization and user access to your resources

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0
- Package version: 1.0.0
- Generator version: 7.11.0-SNAPSHOT
- Build package: org.openapitools.codegen.languages.PythonClientCodegen
For more information, please visit [https://www.livedatatechnologies.com](https://www.livedatatechnologies.com)

## Requirements.

Python 3.8+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import ldt_identity_client_staging
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import ldt_identity_client_staging
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import ldt_identity_client_staging
from ldt_identity_client_staging.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://gotlivedata.io/api/identity/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = ldt_identity_client_staging.Configuration(
    host = "https://gotlivedata.io/api/identity/v1"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization: JWTAuth
configuration = ldt_identity_client_staging.Configuration(
    access_token = os.environ["BEARER_TOKEN"]
)


# Enter a context with an instance of the API client
with ldt_identity_client_staging.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ldt_identity_client_staging.InvitationsApi(api_client)
    org_id = 'org_id_example' # str | 
    invitation_body = ldt_identity_client_staging.InvitationBody() # InvitationBody |  (optional)

    try:
        # Create a new invitation
        api_response = api_instance.create_invitation(org_id, invitation_body=invitation_body)
        print("The response of InvitationsApi->create_invitation:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling InvitationsApi->create_invitation: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://gotlivedata.io/api/identity/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*InvitationsApi* | [**create_invitation**](docs/InvitationsApi.md#create_invitation) | **POST** /orgs/{orgId}/invitations | Create a new invitation
*InvitationsApi* | [**delete_invitation**](docs/InvitationsApi.md#delete_invitation) | **DELETE** /orgs/{orgId}/invitations/{invitationId} | Revoke invitation
*InvitationsApi* | [**get_invitation**](docs/InvitationsApi.md#get_invitation) | **GET** /orgs/{orgId}/invitations/{invitationId} | Get invitation details
*InvitationsApi* | [**get_invitations**](docs/InvitationsApi.md#get_invitations) | **GET** /orgs/{orgId}/invitations | Get invitations
*InvitationsApi* | [**get_user_invitations**](docs/InvitationsApi.md#get_user_invitations) | **GET** /users/{userId}/invitations | Get user invitations
*InvitationsApi* | [**resend_invitation**](docs/InvitationsApi.md#resend_invitation) | **POST** /orgs/{orgId}/invitations/{invitationId}/resend | Resend an invitation email
*InvitationsApi* | [**update_invitation**](docs/InvitationsApi.md#update_invitation) | **PATCH** /orgs/{orgId}/invitations/{invitationId} | Accept or decline an invitation
*OrganizationsApi* | [**get_org**](docs/OrganizationsApi.md#get_org) | **GET** /orgs/{orgId} | Get organization details
*OrganizationsApi* | [**update_org**](docs/OrganizationsApi.md#update_org) | **PATCH** /orgs/{orgId} | Update organization details
*ServiceAccountsApi* | [**create_service_account**](docs/ServiceAccountsApi.md#create_service_account) | **POST** /orgs/{orgId}/serviceAccounts | Create service account
*ServiceAccountsApi* | [**delete_service_account**](docs/ServiceAccountsApi.md#delete_service_account) | **DELETE** /orgs/{orgId}/serviceAccounts/{serviceAccountId} | Delete Service Account
*ServiceAccountsApi* | [**get_service_accounts**](docs/ServiceAccountsApi.md#get_service_accounts) | **GET** /orgs/{orgId}/serviceAccounts | Get service accounts
*ServiceAccountsApi* | [**regenerate_client_secret**](docs/ServiceAccountsApi.md#regenerate_client_secret) | **POST** /orgs/{orgId}/serviceAccounts/{serviceAccountId}/regenerateSecret | Regenerate client secret
*ServiceAccountsApi* | [**update_service_account_roles**](docs/ServiceAccountsApi.md#update_service_account_roles) | **PATCH** /orgs/{orgId}/serviceAccountRoles | Update service account roles
*SessionApi* | [**post_session**](docs/SessionApi.md#post_session) | **POST** /session | Create a new session
*SessionApi* | [**post_session_google**](docs/SessionApi.md#post_session_google) | **POST** /session/google | Sigin with Google
*UserRolesApi* | [**add_org_user**](docs/UserRolesApi.md#add_org_user) | **POST** /orgs/{orgId}/userRoles | Add user access to an org
*UserRolesApi* | [**delete_org_users**](docs/UserRolesApi.md#delete_org_users) | **DELETE** /orgs/{orgId}/userRoles | Remove user access from an org
*UserRolesApi* | [**get_org_users**](docs/UserRolesApi.md#get_org_users) | **GET** /orgs/{orgId}/userRoles | Get users that have access to an org
*UserRolesApi* | [**update_org_user**](docs/UserRolesApi.md#update_org_user) | **PATCH** /orgs/{orgId}/userRoles | Add user access to an org
*UsersApi* | [**get_user**](docs/UsersApi.md#get_user) | **GET** /users/{userId} | Get information about a single user
*UsersApi* | [**get_user_invitations**](docs/UsersApi.md#get_user_invitations) | **GET** /users/{userId}/invitations | Get user invitations
*UsersApi* | [**initiate_password_reset**](docs/UsersApi.md#initiate_password_reset) | **POST** /users/actions/initiatePasswordReset | Initiate password reset for a user


## Documentation For Models

 - [AddOrgUserRequestInner](docs/AddOrgUserRequestInner.md)
 - [CreateServiceAccount200Response](docs/CreateServiceAccount200Response.md)
 - [CreateServiceAccount200ResponseRole](docs/CreateServiceAccount200ResponseRole.md)
 - [CreateServiceAccountRequest](docs/CreateServiceAccountRequest.md)
 - [DeleteOrgUsersRequest](docs/DeleteOrgUsersRequest.md)
 - [DeleteServiceAccount200Response](docs/DeleteServiceAccount200Response.md)
 - [GetServiceAccounts200ResponseInner](docs/GetServiceAccounts200ResponseInner.md)
 - [GetServiceAccounts200ResponseInnerRole](docs/GetServiceAccounts200ResponseInnerRole.md)
 - [InitiatePasswordResetRequest](docs/InitiatePasswordResetRequest.md)
 - [Invitation](docs/Invitation.md)
 - [InvitationBody](docs/InvitationBody.md)
 - [Org](docs/Org.md)
 - [OrgBody](docs/OrgBody.md)
 - [PostSessionGoogle200Response](docs/PostSessionGoogle200Response.md)
 - [PostSessionGoogle200ResponseOrgsInner](docs/PostSessionGoogle200ResponseOrgsInner.md)
 - [PostSessionGoogle200ResponseServicesInner](docs/PostSessionGoogle200ResponseServicesInner.md)
 - [PostSessionGoogleRequest](docs/PostSessionGoogleRequest.md)
 - [PostSessionRequest](docs/PostSessionRequest.md)
 - [RegenerateClientSecret200Response](docs/RegenerateClientSecret200Response.md)
 - [Service](docs/Service.md)
 - [ServiceAccount](docs/ServiceAccount.md)
 - [UpdateInvitationRequest](docs/UpdateInvitationRequest.md)
 - [UpdateOrgRequest](docs/UpdateOrgRequest.md)
 - [UpdateOrgUserRequestInner](docs/UpdateOrgUserRequestInner.md)
 - [UpdateServiceAccountRoles200Response](docs/UpdateServiceAccountRoles200Response.md)
 - [UpdateServiceAccountRoles200ResponseServiceAccount](docs/UpdateServiceAccountRoles200ResponseServiceAccount.md)
 - [UpdateServiceAccountRolesRequest](docs/UpdateServiceAccountRolesRequest.md)
 - [User](docs/User.md)
 - [UserBody](docs/UserBody.md)
 - [UserRole](docs/UserRole.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="JWTAuth"></a>
### JWTAuth

- **Type**: Bearer authentication


## Author

support@livedatatechnologies.com


